module Game {
    export class Dressup {
        game: Phaser.Game;

        constructor() {
            this.game = new Phaser.Game(1920, 1080, Phaser.CANVAS, 'content', { create: this.start, preload: this.preload });
           }

        start() {
            this.game.state.add("TitleScreenState", TitleScreen.TitleScreenState, true);
            this.game.state.add("MainGameState", MainGame.MainGameState, false);
            this.game.state.add("IntroState", MainGame.IntroState, false);
            this.game.state.add("IntermissionState", MainGame.IntermissionState, false);
            this.game.state.add("Fill", MainGame.Fill, false);
            this.game.state.add("Fill2", MainGame.Fill2, false);
            this.game.state.add("Fill3", MainGame.Fill3, false);
            this.game.state.add("Fill4", MainGame.Fill4, false);
            this.game.state.add("Fill5", MainGame.Fill5, false);
            this.game.state.add("Fill6", MainGame.Fill6, false);
            this.game.state.add("Fill7", MainGame.Fill7, false);
            this.game.state.add("Fill8", MainGame.Fill8, false);
            this.game.state.add("Fill9", MainGame.Fill9, false);
            this.game.state.add("Fill10", MainGame.Fill10, false);
            this.game.stage.disableVisibilityChange = true;
            this.game.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
            this.game.scale.pageAlignHorizontally = true;
            this.game.scale.pageAlignVertically = true;
            this.game.scale.windowConstraints.bottom = true;
            this.game.scale.refresh();
        }

        preload() {

        }
    }
}


window.onload = () => {
    var game = new Game.Dressup();
};